Bug 143370 - use AC_GNU_SOURCE macro
use AC_GNU_SOURCE macro
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-19 20:24 EST by Dmitry V. Levin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-130
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-13 05:37:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-4.5.8-alt-gnu_source.patch (1.56 KB, patch)
2004-12-19 20:26 EST, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2004-12-19 20:24:30 EST
Description of problem:
Let's use AC_GNU_SOURCE macro instead of changing CFLAGS.

Version-Release number of selected component (if applicable):
strace-4.5.8
Comment 1 Dmitry V. Levin 2004-12-19 20:26:00 EST
Created attachment 108870 [details]
strace-4.5.8-alt-gnu_source.patch

Proposed patch.
Comment 2 Roland McGrath 2005-02-01 23:45:18 EST
Applied.
Comment 3 Jay Turner 2005-04-13 05:36:39 EDT
Fix confirmed with 4.5.9-2.EL4.  Moving to PROD_READY.
Comment 4 Jay Turner 2005-04-13 05:37:45 EDT
Narf, didn't realize it was a Fedora bug.  Makes more sense to just close it.
Comment 5 Tim Powers 2005-05-19 17:10:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html

Note You need to log in before you can comment on or make changes to this bug.